extern unsigned char key[];
extern int key_ascii[];

int Mkbhit(void);
int Mgetch(void);
void CloseKeyb(void);
void IniKeyb(void);

#define KEY_ESC             0x01
#define KEY_1               0x02
#define KEY_2               0x03
#define KEY_3               0x04
#define KEY_4               0x05
#define KEY_5               0x06
#define KEY_6               0x07
#define KEY_7               0x08
#define KEY_8               0x09
#define KEY_9               0x0A
#define KEY_0               0x0B
#define KEY_APOSTROFE       0x0C
#define KEY_ADMIRACION      0x0D
#define KEY_DELETE          0x0E

#define KEY_TAB             0x0F
#define KEY_Q               0x10
#define KEY_W               0x11
#define KEY_E               0x12
#define KEY_R               0x13
#define KEY_T               0x14
#define KEY_Y               0x15
#define KEY_U               0x16
#define KEY_I               0x17
#define KEY_O               0x18
#define KEY_P               0x19
#define KEY_ABRE_CORCHETE   0x1A
#define KEY_CIERRA_CORCHETE 0x1B


#define KEY_ENTER           0x1C
#define KEY_CONTROL_IZQ     0x1D

#define KEY_A               0x1E
#define KEY_S               0x1F
#define KEY_D               0x20
#define KEY_F               0x21
#define KEY_G               0x22
#define KEY_H               0x23
#define KEY_J               0x24
#define KEY_K               0x25
#define KEY_L               0x26
#define KEY_NN              0x27
#define KEY_ABRE_LLAVE      0x28
#define KEY_BARRA_INV       0x29
#define KEY_SHIFT_IZQ       0x2A
#define KEY_CIERRA_LLAVE    0x2B

#define KEY_Z               0x2C
#define KEY_X               0x2D
#define KEY_C               0x2E
#define KEY_V               0x2F
#define KEY_B               0x30
#define KEY_N               0x31
#define KEY_M               0x32
#define KEY_COMA            0x33
#define KEY_PUNTO           0x34
#define KEY_MENOS           0x35
#define KEY_SHIFT_DER       0x36

#define KEY_PAD_MUL         0x37
#define KEY_ALT             0x38
#define KEY_ESPACIO         0x39
#define KEY_BLOQ_MAYUS      0x3A
#define KEY_F1              0x3B
#define KEY_F2              0x3C
#define KEY_F3              0x3D
#define KEY_F4              0x3E
#define KEY_F5              0x3F
#define KEY_F6              0x40
#define KEY_F7              0x41
#define KEY_F8              0x42
#define KEY_F9              0x43
#define KEY_F10             0x44
#define KEY_BLOQ_NUM        0x45
#define KEY_BLOQ_DESPL      0x46
#define KEY_PAD_7           0x47
#define KEY_PAD_8           0x48
#define KEY_PAD_9           0x49
#define KEY_PAD_MENOS       0x4A
#define KEY_PAD_4           0x4B
#define KEY_PAD_5           0x4C
#define KEY_PAD_6           0x4D
#define KEY_PAD_MAS         0x4E
#define KEY_PAD_1           0x4F
#define KEY_PAD_2           0x50
#define KEY_PAD_3           0x51
#define KEY_PAD_0           0x52
#define KEY_PAD_PUNTO       0x53

#define KEY_ALT_IMPR_PANT    0x54

#define KEY_MENOR_QUE       0x56
#define KEY_F11             0x57
#define KEY_F12             0x58

//EXTENDED KEYS:
#define KEY_PAD_ENTER       0x9C
#define KEY_CONTROL_DER     0x9D
#define KEY_PAD_DIV         0xB5
#define KEY_IMPR_PANT       0xB7

#define KEY_ALT_GR          0xB8

#define KEY_INICIO          0xC7
#define KEY_CUR_ARR         0xC8
#define KEY_RE_PAG          0xC9
#define KEY_CUR_IZQ         0xCB
#define KEY_CUR_DER         0xCD
#define KEY_FIN             0xCF
#define KEY_CUR_ABJ         0xD0
#define KEY_AV_PAG          0xD1
#define KEY_INSERT          0xD2
#define KEY_SUPR            0xD3

#define KEY_PAUSA  0

// CODIGOS EXTENDED
// (devueltos por Mgetch() )
#define APOSTROFE       '\''
#define ADMIRACION      ''
#define BARRA_INV       '\\'
#define ESPACIO         ' '
#define ABRE_CORCHETE   '['
#define CIERRA_CORCHETE ']'
#define MENOR_QUE       '<'
#define COMA            ','
#define PUNTO           '.'
#define MENOS           '-'
//#define       ' '





#define PAD_1        0x0101
#define PAD_2        0x0102
#define PAD_3        0x0103
#define PAD_0        0x0100
#define PAD_4        0x0104
#define PAD_5        0x0105
#define PAD_6        0x0106
#define PAD_7        0x0107
#define PAD_8        0x0108
#define PAD_9        0x0109

#define BLOQ_NUM     0x010A
#define	PAD_DIV      0x010B
#define	PAD_POR      0x010C
#define PAD_ENTER    0x010D
#define PAD_MENOS    0x010E
#define PAD_MAS      0x010F
#define PAD_PUNTO    0x0110

#define	CONTROL_IZQ  0x0111
#define	CONTROL_DER  0x0112

#define SHIFT_IZQ    0x0113
#define SHIFT_DER    0x0114

#define ALT          0x0115
#define ALT_GR       0x0116

#define BLOQ_MAYUS  0x0117

#define ALT_IMPR_PANT 0x0118

#define IMPR_PANT    0x0119
#define BLOQ_DESPL   0X011A

#include "key_code.h"



